package ovh.herisson.Clyde.Services.Msg;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import lombok.AllArgsConstructor;
import ovh.herisson.Clyde.Repositories.CourseRepository;
import ovh.herisson.Clyde.Repositories.Msg.ForumRepository;
import ovh.herisson.Clyde.Tables.Course;
import ovh.herisson.Clyde.Tables.Msg.Forum;
import ovh.herisson.Clyde.Tables.Msg.Topic;

@Service
@AllArgsConstructor
public class ForumService {

	private CourseRepository courseRepo;
	private ForumRepository forumRepo;

	public void createForum(Course c, Forum f){
		c.addForum(f);
		courseRepo.save(c);
	}

    public void createTopic(Forum f, Topic data) {
		f.addTopic(data);
		forumRepo.save(f);
    }
}
